theKernel = new Kernel("simPredatorPrey");
        
env = new TurtleEnvironment(x, y, "hunt");
theKernel.launchAgent(env, "environnement", this, false);

pp = new PlotPanel("Proies", x*cellSize, nbPrey);

envPanel = new EnvironnementPanel(this, cellSize, withImages);

for (int i = 0; i < nbPrey; i++)
{
    Prey prey = new Prey(env, 
			 (int) (Math.random()*(double)x), 
			 (int) (Math.random()*(double)y));
    preyList.add(prey);

    theKernel.launchAgent(prey, "bete", env, false);
}

for (int j = 0; j < nbPredator; j++)
{
    Predator predator = new Predator(env, 
				     (int) (Math.random()*(double)x), 
				     (int) (Math.random()*(double)y));

    predatorList.add(predator);

    theKernel.launchAgent(predator, "bete", env, false);
}

viewer = new Viewer("hunt", envPanel, false);
theKernel.launchAgent(viewer, "viewer", this, false);

counter = new Counter("hunt", pp);
theKernel.launchAgent(counter, "counter", this, false);
